using System.Windows.Forms;
using System.Drawing;
using FastReport.Utils;

namespace FastReport.Dialog
{
    partial class MaskedTextBoxControl
    {
        #region Protected Methods
        /// <inheritdoc/>
        protected override bool ShouldSerializeBackColor()
        {
            return BackColor != SystemColors.Window;
        }

        /// <inheritdoc/>
        protected override bool ShouldSerializeCursor()
        {
            return Cursor != Cursors.IBeam;
        }

        /// <inheritdoc/>
        protected override bool ShouldSerializeForeColor()
        {
            return ForeColor != SystemColors.WindowText;
        }

        /// <inheritdoc/>
        protected override SelectionPoint[] GetSelectionPoints()
        {
            return new SelectionPoint[] {
                new SelectionPoint(AbsLeft - 2, AbsTop + Height / 2, SizingPoint.LeftCenter),
                new SelectionPoint(AbsLeft + Width + 1, AbsTop + Height / 2, SizingPoint.RightCenter) };
        }
        #endregion

    }
}
